slepc-3.21.1 2024-04-26
Report Typos and Errors

# STSetBalanceMatrix

Sets the diagonal matrix to be used for balancing.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STSetBalanceMatrix(ST st,Vec D)

Collective

### Input Parameters

| st | - the spectral transformation context
| D | - the diagonal matrix (represented as a vector)

### Notes

If this matrix is set, STApply will effectively apply D*OP*D^{-1}. Use NULL to reset a previously passed D.

Balancing is usually set via EPSSetBalance, but the advanced user may use this function to bypass the usual balancing methods.

### See Also

EPSSetBalance(), STApply(), STGetBalanceMatrix()

### Level

developer

### Location

src/sys/classes/st/interface/stfunc.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages